<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage cloud-kitchen
 * @since cloud-kitchen 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function cloud_kitchen_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Cloud_Kitchen_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Cloud Kitchen Pro', 'cloud-kitchen' ),
		'button_text'      => __( 'Upgrade Pro', 'cloud-kitchen' ),
		'url'              => 'https://www.wpradiant.net/products/cloud-kitchen-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'cloud_kitchen_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function cloud_kitchen_custom_control_scripts() {
	wp_enqueue_script( 'cloud-kitchen-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'cloud-kitchen-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'cloud_kitchen_custom_control_scripts' );